# Check if profile maximum is reached; exit if true
execute if score count at_s_profiles matches 64.. run tellraw @s {"color":"red","text":"[AT] Maximum profile count reached"}
execute if score count at_s_profiles matches 64.. run return 0

# Check if profile already exists
$execute store success score profsave at_t_interact run data get storage animated-timer:data at.profiles.content.$(name).render

# Add to list & increment profile count if profile does not exist
$execute if score profsave at_t_interact matches 0 run data modify storage animated-timer:data at.profiles.list append value "$(name)"
execute if score profsave at_t_interact matches 0 run scoreboard players add count at_s_profiles 1

# Clean profile if it exists
$execute if score profsave at_t_interact matches 1 run data remove storage animated-timer:data at.profiles.content.$(name)


# GENERAL
# Render type
$execute store result storage animated-timer:data at.profiles.content.$(name).render int 1 run scoreboard players get render at_s_config

# Style type
$execute store result storage animated-timer:data at.profiles.content.$(name).style int 1 run scoreboard players get style at_s_config


# STATIC
# Static / primary color
$execute if score style at_s_config matches 0 run data modify storage animated-timer:data at.profiles.content.$(name).color1 set from storage animated-timer:data at.configuration.style.color1

# Static / secondary color
$execute if score style at_s_config matches 0 run data modify storage animated-timer:data at.profiles.content.$(name).color2 set from storage animated-timer:data at.configuration.style.color2

# Static / primary bold
$execute store result storage animated-timer:data at.profiles.content.$(name).bold1 int 1 if score style at_s_config matches 0 run scoreboard players get static_bold1 at_s_config

# Static / secondary bold
$execute store result storage animated-timer:data at.profiles.content.$(name).bold2 int 1 if score style at_s_config matches 0 run scoreboard players get static_bold2 at_s_config

# Static / primary italic
$execute store result storage animated-timer:data at.profiles.content.$(name).italic1 int 1 if score style at_s_config matches 0 run scoreboard players get static_italic1 at_s_config

# Static / secondary italic
$execute store result storage animated-timer:data at.profiles.content.$(name).italic2 int 1 if score style at_s_config matches 0 run scoreboard players get static_italic2 at_s_config


# ANIMATED
# Animated / animation
$execute if score style at_s_config matches 1 run data modify storage animated-timer:data at.profiles.content.$(name).animation set from storage animated-timer:data at.configuration.style.animation

# Animated / bold
$execute store result storage animated-timer:data at.profiles.content.$(name).bold int 1 if score style at_s_config matches 1 run scoreboard players get animated_bold at_s_config

# Animated / italic
$execute store result storage animated-timer:data at.profiles.content.$(name).italic int 1 if score style at_s_config matches 1 run scoreboard players get animated_italic at_s_config

# Animated / speed
$execute store result storage animated-timer:data at.profiles.content.$(name).speed int 1 if score style at_s_config matches 1 run scoreboard players get animated_speed at_s_config

# Animated / direction
$execute store result storage animated-timer:data at.profiles.content.$(name).direction int 1 if score style at_s_config matches 1 run scoreboard players get animated_direction at_s_config


# Print profile save success
$tellraw @s {"color":"aqua","text":"[AT] Saved current configuration at profile $(name)"}
