# Check if profile exists
$execute store success score profshow at_t_interact run data get storage animated-timer:data at.profiles.content.$(name).render


# FETCH / GENERAL
# Render type
$execute store result score render at_t_profout if score profshow at_t_interact matches 1 run data get storage animated-timer:data at.profiles.content.$(name).render

# Style type
$execute store result score style at_t_profout if score profshow at_t_interact matches 1 run data get storage animated-timer:data at.profiles.content.$(name).style


# FETCH / STATIC
# Static / primary bold
$execute store result score static_bold1 at_t_profout if score profshow at_t_interact matches 1 if score style at_t_profout matches 0 run data get storage animated-timer:data at.profiles.content.$(name).bold1

# Static / secondary bold
$execute store result score static_bold2 at_t_profout if score profshow at_t_interact matches 1 if score style at_t_profout matches 0 run data get storage animated-timer:data at.profiles.content.$(name).bold2

# Static / primary italic
$execute store result score static_italic1 at_t_profout if score profshow at_t_interact matches 1 if score style at_t_profout matches 0 run data get storage animated-timer:data at.profiles.content.$(name).italic1

# Static / secondary italic
$execute store result score static_italic2 at_t_profout if score profshow at_t_interact matches 1 if score style at_t_profout matches 0 run data get storage animated-timer:data at.profiles.content.$(name).italic2


# FETCH / ANIMATED
# Animated / bold
$execute store result score animated_bold at_t_profout if score profshow at_t_interact matches 1 if score style at_t_profout matches 1 run data get storage animated-timer:data at.profiles.content.$(name).bold

# Animated / italic
$execute store result score animated_italic at_t_profout if score profshow at_t_interact matches 1 if score style at_t_profout matches 1 run data get storage animated-timer:data at.profiles.content.$(name).italic

# Animated / speed
$execute store result score animated_speed at_t_profout if score profshow at_t_interact matches 1 if score style at_t_profout matches 1 run data get storage animated-timer:data at.profiles.content.$(name).speed

# Animated / direction
$execute store result score animated_direction at_t_profout if score profshow at_t_interact matches 1 if score style at_t_profout matches 1 run data get storage animated-timer:data at.profiles.content.$(name).direction


# PRINT
# Print profile data
$execute if score profshow at_t_interact matches 1 run tellraw @s {"color":"aqua","text":"[AT] Contents of profile $(name):"}

# Print error message
$execute if score profshow at_t_interact matches 0 run tellraw @s {"color":"red","text":"[AT] Could not load $(name); this profile does not exist"}


# PRINT / GENERAL
# Render type
execute if score profshow at_t_interact matches 1 if score render at_t_profout matches 0 run tellraw @s [{"color":"#589f9f","text":"Render type: "},{"color":"aqua","text":"colons and zeros [CAZ]"}]
execute if score profshow at_t_interact matches 1 if score render at_t_profout matches 1 run tellraw @s [{"color":"#589f9f","text":"Render type: "},{"color":"aqua","text":"spaces / specifiers and zeros [SAZ]"}]
execute if score profshow at_t_interact matches 1 if score render at_t_profout matches 2 run tellraw @s [{"color":"#589f9f","text":"Render type: "},{"color":"aqua","text":"spaces / specifiers no zeros [SNZ]"}]

# Style type
execute if score profshow at_t_interact matches 1 if score style at_t_profout matches 0 run tellraw @s [{"color":"#589f9f","text":"Style type: "},{"color":"aqua","text":"static"}]
execute if score profshow at_t_interact matches 1 if score style at_t_profout matches 1 run tellraw @s [{"color":"#589f9f","text":"Style type: "},{"color":"aqua","text":"animated"}]


# PRINT / STATIC
# Static / primary color
$execute if score profshow at_t_interact matches 1 if score style at_t_profout matches 0 run tellraw @s [{"color":"#589f9f","text":"Primary color: "},{"color":"aqua","nbt":"at.profiles.content.$(name).color1","storage":"animated-timer:data"}]

# Static / primary bold
execute if score profshow at_t_interact matches 1 if score style at_t_profout matches 0 if score static_bold1 at_t_profout matches 0 run tellraw @s [{"color":"#589f9f","text":"Primary bold: "},{"color":"aqua","text":"false"}]
execute if score profshow at_t_interact matches 1 if score style at_t_profout matches 0 if score static_bold1 at_t_profout matches 1 run tellraw @s [{"color":"#589f9f","text":"Primary bold: "},{"color":"aqua","text":"true"}]

# Static / primary italic
execute if score profshow at_t_interact matches 1 if score style at_t_profout matches 0 if score static_italic1 at_t_profout matches 0 run tellraw @s [{"color":"#589f9f","text":"Primary italic: "},{"color":"aqua","text":"false"}]
execute if score profshow at_t_interact matches 1 if score style at_t_profout matches 0 if score static_italic1 at_t_profout matches 1 run tellraw @s [{"color":"#589f9f","text":"Primary italic: "},{"color":"aqua","text":"true"}]

# Static / secondary color
$execute if score profshow at_t_interact matches 1 if score style at_t_profout matches 0 run tellraw @s [{"color":"#589f9f","text":"Secondary color: "},{"color":"aqua","nbt":"at.profiles.content.$(name).color2","storage":"animated-timer:data"}]

# Static / secondary bold
execute if score profshow at_t_interact matches 1 if score style at_t_profout matches 0 if score static_bold2 at_t_profout matches 0 run tellraw @s [{"color":"#589f9f","text":"Secondary bold: "},{"color":"aqua","text":"false"}]
execute if score profshow at_t_interact matches 1 if score style at_t_profout matches 0 if score static_bold2 at_t_profout matches 1 run tellraw @s [{"color":"#589f9f","text":"Secondary bold: "},{"color":"aqua","text":"true"}]

# Static / secondary italic
execute if score profshow at_t_interact matches 1 if score style at_t_profout matches 0 if score static_italic2 at_t_profout matches 0 run tellraw @s [{"color":"#589f9f","text":"Secondary italic: "},{"color":"aqua","text":"false"}]
execute if score profshow at_t_interact matches 1 if score style at_t_profout matches 0 if score static_italic2 at_t_profout matches 1 run tellraw @s [{"color":"#589f9f","text":"Secondary italic: "},{"color":"aqua","text":"true"}]


# PRINT / ANIMATED
# Animated / animation
$execute if score profshow at_t_interact matches 1 if score style at_t_profout matches 1 run tellraw @s [{"color":"#589f9f","text":"Animation: "},{"color":"aqua","nbt":"at.profiles.content.$(name).animation","storage":"animated-timer:data"}]

# Animated / bold
execute if score profshow at_t_interact matches 1 if score style at_t_profout matches 1 if score animated_bold at_t_profout matches 0 run tellraw @s [{"color":"#589f9f","text":"Bold: "},{"color":"aqua","text":"false"}]
execute if score profshow at_t_interact matches 1 if score style at_t_profout matches 1 if score animated_bold at_t_profout matches 1 run tellraw @s [{"color":"#589f9f","text":"Bold: "},{"color":"aqua","text":"true"}]

# Animated / italic
execute if score profshow at_t_interact matches 1 if score style at_t_profout matches 1 if score animated_italic at_t_profout matches 0 run tellraw @s [{"color":"#589f9f","text":"Italic: "},{"color":"aqua","text":"false"}]
execute if score profshow at_t_interact matches 1 if score style at_t_profout matches 1 if score animated_italic at_t_profout matches 1 run tellraw @s [{"color":"#589f9f","text":"Italic: "},{"color":"aqua","text":"true"}]

# Animated / speed
execute if score profshow at_t_interact matches 1 if score style at_t_profout matches 1 run tellraw @s [{"color":"#589f9f","text":"Speed (ticks): "},{"color":"aqua","score":{"name":"animated_speed","objective":"at_t_profout"}}]

# Animated / direction
execute if score profshow at_t_interact matches 1 if score style at_t_profout matches 1 if score animated_direction at_t_profout matches 0 run tellraw @s [{"color":"#589f9f","text":"Direction: "},{"color":"aqua","text":"left-to-right"}]
execute if score profshow at_t_interact matches 1 if score style at_t_profout matches 1 if score animated_direction at_t_profout matches 1 run tellraw @s [{"color":"#589f9f","text":"Direction: "},{"color":"aqua","text":"right-to-left"}]
